**@openfin/web-interop** • [API](../../README.md)

***

[@openfin/web-interop](../../README.md) / @openfin/web-interop

# @openfin/web-interop

The main entry point for leveraging OpenFin Web Interop in a web application.

## Remarks

This module provides a way to connect to an OpenFin Web Interop broker, which allows for communication between Web applications.

## Example

```ts
import { connect } from '@openfin/web-interop';

const fin = await connect({
   options: {
      brokerUrl: 'ws://localhost:9696/broker'
      interopConfig: {
         providerId: 'my-provider-id',
         currentContextGroup: 'my-context-group'
     }
  }
 });
```

## Index

### Type Aliases

- [BaseConnectionOptions](type-aliases/BaseConnectionOptions.md)
- [ConnectionConfig](type-aliases/ConnectionConfig.md)
- [InheritModeConnectConfig](type-aliases/InheritModeConnectConfig.md)
- [StandAloneConnectonConfig](type-aliases/StandAloneConnectonConfig.md)

### Functions

- [connect](functions/connect.md)
